ControlScheduleManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.server.session.ControlScheduleManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.server.session
Class ControlScheduleManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB
          org.hyperic.hq.control.server.session.ControlScheduleManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class ControlScheduleManagerEJBImpl

extends BaseScheduleManagerEJB
implements javax.ejb.SessionBean

Control manager for dealing with scheduled actions

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB
`_scheduler, historyPager, SCHED_SEPARATOR, schedulePager`

Constructor Summary
`ControlScheduleManagerEJBImpl()`

Method Summary
`ControlHistory` | `createHistory(AppdefEntityID id, java.lang.Integer groupId, java.lang.Integer batchId, java.lang.String subjectName, java.lang.String action, java.lang.String args, java.lang.Boolean scheduled, long startTime, long stopTime, long scheduleTime, java.lang.String status, java.lang.String description, java.lang.String errorMessage)` Create a control history entry
`void` | `deleteControlJob(AuthzSubject subject, java.lang.Integer[] ids)` Delete a scheduled control actions based on id
`void` | `deleteJobHistory(AuthzSubject subject, java.lang.Integer[] ids)` Remove an entry from the control history
`java.lang.Integer` | `doAgentControlCommand(AppdefEntityID id, AppdefEntityID gid, java.lang.Integer batchId, AuthzSubject subject, java.util.Date dateScheduled, java.lang.Boolean scheduled, java.lang.String description, java.lang.String action, java.lang.String args)` Do a control command on a single appdef entity
`void` | `doScheduledAction(AppdefEntityID id, AuthzSubject subject, java.lang.String action, ScheduleValue schedule, int[] order)` Schedule an action on an appdef entity
`void` | `doSingleAction(AppdefEntityID id, AuthzSubject subject, java.lang.String action, java.lang.String args, int[] order)` Execute a single action on an appdef entity
`void` | `ejbCreate()` A pseudo-ejbCreate method called by subclasses from their real ejbCreate implementations.
`PageList` | `findGroupJobHistory(AuthzSubject subject, int batchId, AppdefEntityID id, PageControl pc)` Get a batch job history based on batchJobId and appdef id
`PageList` | `findJobHistory(AuthzSubject subject, AppdefEntityID id, PageControl pc)` Get a job history based on appdef id
`PageList` | `findScheduledJobs(AuthzSubject subject, AppdefEntityID id, PageControl pc)` Get a list of scheduled jobs based on appdef id
`ControlSchedule` | `getControlJob(AuthzSubject subject, java.lang.Integer id)` Obtain a scheduled control action based on an id
`ControlHistory` | `getCurrentJob(AuthzSubject whoami, AppdefEntityID id)` Obtain the current action that is being executed.
`protected java.lang.String` | `getHistoryPagerClass()`
`ControlHistory` | `getJobByJobId(AuthzSubject subject, java.lang.Integer id)` Obtain a control history object based on the history id
`ControlHistory` | `getJobHistoryValue(java.lang.Integer jobId)` Get a control history value based on primary key
`protected java.lang.String` | `getJobPrefix()`
`ControlHistory` | `getLastJob(AuthzSubject subject, AppdefEntityID id)` Obtain the last control action that fired.
`PageList` | `getOnDemandControlFrequency(AuthzSubject subject, int numToReturn)` Get a list of most active control operations
`static org.hyperic.hq.control.shared.ControlScheduleManagerLocal` | `getOne()`
`PageList` | `getPendingControlActions(AuthzSubject subject, int rows)` Get a list of pending control actions in decending order
`PageList` | `getRecentControlActions(AuthzSubject subject, int rows, long window)` Get a list of recent control actions in decending order
`protected java.lang.String` | `getSchedulePagerClass()`
`protected java.lang.String` | `getSchedulePrefix()`
`void` | `removeHistory(java.lang.Integer id)` Get a control history value based on primary key
`void` | `removeScheduledJobs(AuthzSubject subject, AppdefEntityID id)` Removes all jobs associated with an appdef entity
`protected void` | `setupJobData(org.quartz.JobDetail jobDetail, AuthzSubject subject, AppdefEntityID id, java.lang.String action, java.lang.String args, java.lang.String scheduleString, java.lang.Boolean scheduled, java.lang.String description, int[] order)`
`void` | `updateHistory(java.lang.Integer jobId, long endTime, java.lang.String status, java.lang.String message)` Update a control history entry

Methods inherited from class org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB
`ejbActivate, ejbPassivate, ejbRemove, getDbType, getJobName, getPrefix, getTriggerName, setDbType, setSessionContext, setupJobData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.SessionBean
`ejbActivate, ejbPassivate, ejbRemove, setSessionContext`

Constructor Detail

### ControlScheduleManagerEJBImpl

    public ControlScheduleManagerEJBImpl()

Method Detail

### getHistoryPagerClass

    protected java.lang.String getHistoryPagerClass()

  Specified by:
    `getHistoryPagerClass` in class `BaseScheduleManagerEJB`

### getSchedulePagerClass

    protected java.lang.String getSchedulePagerClass()

  Specified by:
    `getSchedulePagerClass` in class `BaseScheduleManagerEJB`

### getJobPrefix

    protected java.lang.String getJobPrefix()

  Specified by:
    `getJobPrefix` in class `BaseScheduleManagerEJB`

### getSchedulePrefix

    protected java.lang.String getSchedulePrefix()

  Specified by:
    `getSchedulePrefix` in class `BaseScheduleManagerEJB`

### getOne

    public static org.hyperic.hq.control.shared.ControlScheduleManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

  Description copied from class: `BaseScheduleManagerEJB`
  A pseudo-ejbCreate method called by subclasses from their real ejbCreate implementations.

  Overrides:
    `ejbCreate` in class `BaseScheduleManagerEJB`

### setupJobData

    protected void setupJobData(org.quartz.JobDetail jobDetail,
                                AuthzSubject subject,
                                AppdefEntityID id,
                                java.lang.String action,
                                java.lang.String args,
                                java.lang.String scheduleString,
                                java.lang.Boolean scheduled,
                                java.lang.String description,
                                int[] order)

### getRecentControlActions

    public PageList getRecentControlActions(AuthzSubject subject,
                                            int rows,
                                            long window)
                                     throws ApplicationException

  Get a list of recent control actions in decending order

  Throws:
    `ApplicationException`

### getPendingControlActions

    public PageList getPendingControlActions(AuthzSubject subject,
                                             int rows)
                                      throws ApplicationException

  Get a list of pending control actions in decending order

  Throws:
    `ApplicationException`

### getOnDemandControlFrequency

    public PageList getOnDemandControlFrequency(AuthzSubject subject,
                                                int numToReturn)
                                         throws ApplicationException

  Get a list of most active control operations

  Throws:
    `ApplicationException`

### findScheduledJobs

    public PageList findScheduledJobs(AuthzSubject subject,
                                      AppdefEntityID id,
                                      PageControl pc)
                               throws ScheduledJobNotFoundException

  Get a list of scheduled jobs based on appdef id

  Throws:
    `ScheduledJobNotFoundException`

### findJobHistory

    public PageList findJobHistory(AuthzSubject subject,
                                   AppdefEntityID id,
                                   PageControl pc)
                            throws PermissionException,
                                   AppdefEntityNotFoundException,
                                   GroupNotCompatibleException

  Get a job history based on appdef id

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`

### findGroupJobHistory

    public PageList findGroupJobHistory(AuthzSubject subject,
                                        int batchId,
                                        AppdefEntityID id,
                                        PageControl pc)
                                 throws ApplicationException

  Get a batch job history based on batchJobId and appdef id

  Throws:
    `ApplicationException`

### deleteJobHistory

    public void deleteJobHistory(AuthzSubject subject,
                                 java.lang.Integer[] ids)
                          throws ApplicationException

  Remove an entry from the control history

  Throws:
    `ApplicationException`

### getCurrentJob

    public ControlHistory getCurrentJob(AuthzSubject whoami,
                                        AppdefEntityID id)
                                 throws ApplicationException

  Obtain the current action that is being executed. If there is no current running action, null is returned.

  Throws:
    `ApplicationException`

### getJobByJobId

    public ControlHistory getJobByJobId(AuthzSubject subject,
                                        java.lang.Integer id)
                                 throws ApplicationException

  Obtain a control history object based on the history id

  Throws:
    `ApplicationException`

### getLastJob

    public ControlHistory getLastJob(AuthzSubject subject,
                                     AppdefEntityID id)
                              throws ApplicationException

  Obtain the last control action that fired. Returns null if there are no previous events. This ignores jobs that are in progress.

  Throws:
    `ApplicationException`

### getControlJob

    public ControlSchedule getControlJob(AuthzSubject subject,
                                         java.lang.Integer id)
                                  throws PluginException

  Obtain a scheduled control action based on an id

  Throws:
    `PluginException`

### deleteControlJob

    public void deleteControlJob(AuthzSubject subject,
                                 java.lang.Integer[] ids)
                          throws PluginException

  Delete a scheduled control actions based on id

  Throws:
    `PluginException`

### removeScheduledJobs

    public void removeScheduledJobs(AuthzSubject subject,
                                    AppdefEntityID id)
                             throws ScheduledJobRemoveException

  Removes all jobs associated with an appdef entity

  Throws:
    `ScheduledJobRemoveException`

### doAgentControlCommand

    public java.lang.Integer doAgentControlCommand(AppdefEntityID id,
                                                   AppdefEntityID gid,
                                                   java.lang.Integer batchId,
                                                   AuthzSubject subject,
                                                   java.util.Date dateScheduled,
                                                   java.lang.Boolean scheduled,
                                                   java.lang.String description,
                                                   java.lang.String action,
                                                   java.lang.String args)
                                            throws PluginException

  Do a control command on a single appdef entity

  Returns:
    The control history id
  Throws:
    `PluginException`

### doSingleAction

    public void doSingleAction(AppdefEntityID id,
                               AuthzSubject subject,
                               java.lang.String action,
                               java.lang.String args,
                               int[] order)
                        throws PluginException

  Execute a single action on an appdef entity

  Throws:
    `PluginException`

### doScheduledAction

    public void doScheduledAction(AppdefEntityID id,
                                  AuthzSubject subject,
                                  java.lang.String action,
                                  ScheduleValue schedule,
                                  int[] order)
                           throws PluginException,
                                  org.quartz.SchedulerException

  Schedule an action on an appdef entity

  Throws:
    `PluginException`
    `org.quartz.SchedulerException`

### createHistory

    public ControlHistory createHistory(AppdefEntityID id,
                                        java.lang.Integer groupId,
                                        java.lang.Integer batchId,
                                        java.lang.String subjectName,
                                        java.lang.String action,
                                        java.lang.String args,
                                        java.lang.Boolean scheduled,
                                        long startTime,
                                        long stopTime,
                                        long scheduleTime,
                                        java.lang.String status,
                                        java.lang.String description,
                                        java.lang.String errorMessage)

  Create a control history entry

### updateHistory

    public void updateHistory(java.lang.Integer jobId,
                              long endTime,
                              java.lang.String status,
                              java.lang.String message)
                       throws ApplicationException

  Update a control history entry

  Throws:
    `ApplicationException`

### getJobHistoryValue

    public ControlHistory getJobHistoryValue(java.lang.Integer jobId)
                                      throws ApplicationException

  Get a control history value based on primary key

  Throws:
    `ApplicationException`

### removeHistory

    public void removeHistory(java.lang.Integer id)
                       throws ApplicationException

  Get a control history value based on primary key

  Throws:
    `ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.